<template>
    <div class="games-slider">
        <h3 class="games-slider__header">
            Top games
        </h3>
        <div class="games-slider__viewer">
        <game-block v-for="game in this.games"
                    :title="game.title"
                    :image="game.image"
                    :played="game.played"
                    :frame="game.frame"
                    :favorite="game.favorite"
                    :key="game.title"
        ></game-block>
        </div>
    </div>
</template>

<script>
    import GameBlock from "../GameBlock";
    export default {
        name: "GamesSlider",
        components: {GameBlock},
        // props: ['games'],
        data: function () {
            return {
              games: [
                  {
                      title: 'It came from...Venus!',
                      image: require('../../assets/img/svg/main/game1.png'),
                      played: '120 played',
                      frame:'#',
                      favorite: false
                  },
                  {
                      title: 'Paco and the Popping Peppers',
                      image: require('../../assets/img/svg/main/game3.png'),
                      played: '128 played',
                      frame:'#',
                      favorite: false
                  },
                  {
                      title: 'Mr. Vegas',
                      image: require('../../assets/img/svg/main/game2.png'),
                      played: '124 played',
                      frame:'#',
                      favorite: false
                  },
              ]
            }
          },
    }
</script>

<style lang="sass" scoped>
.games-slider
    margin: rem(100) 0
    width: 100%
    &__header
        color: $textColorMain
        font-size: rem(24)
        line-height: rem(32)
        font-family: $Avenir
        font-weight: 900
        text-align: left
        margin-bottom: rem(30)
    &__viewer
        width: 100%
</style>